Projects
List projects the caller should join
List projects the caller should join
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/projects/recommendations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/projects/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/projects/recommendations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"recommendations": [
{
"matched_email": "<string>",
"project": {
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"project_status": "active",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_id": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"knowledge_urls": [
"<string>"
],
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
},
"resolved_via": "<string>"
}
]
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}⌘I
List projects the caller should join
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/projects/recommendations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/projects/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/projects/recommendations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"recommendations": [
{
"matched_email": "<string>",
"project": {
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"project_status": "active",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_id": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"knowledge_urls": [
"<string>"
],
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
},
"resolved_via": "<string>"
}
]
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}